﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FCA_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_FCA_ACCTGROUP', 'T_FCA_ACCTGROUP', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_ACCTGROUP') CREATE  CLUSTERED INDEX IDX_FCA_ACCTGROUP ON T_FCA_ACCTGROUP ( FCOMPANYID ,FACCOUNTBANKID );


 EXEC P_ALTERPK 'PK_T_FCA_ACCTGROUP_ENTRYS', 'T_FCA_ACCTGROUP_ENTRYS', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_ACCTGROUP_ENTRYS') CREATE  CLUSTERED INDEX IDX_FCA_ACCTGROUP_ENTRYS ON T_FCA_ACCTGROUP_ENTRYS ( FENTRYBANKACCTID );


 EXEC P_ALTERPK 'PK_T_FCA_ACCTGROUP_L', 'T_FCA_ACCTGROUP_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_ACCTGROUP_L') CREATE  CLUSTERED INDEX IDX_FCA_ACCTGROUP_L ON T_FCA_ACCTGROUP_L ( FNAME );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSCHGBILL_ENTRY_LK', 'T_FCA_TRANSCHGBILL_ENTRY_LK', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRCHGBI_ET_LK_FID') CREATE  CLUSTERED INDEX T_FCA_TRCHGBI_ET_LK_FID ON T_FCA_TRANSCHGBILL_ENTRY_LK ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSCHGBILL_L', 'T_FCA_TRANSCHGBILL_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRANSCHGBILL_L_FID') CREATE  CLUSTERED INDEX T_FCA_TRANSCHGBILL_L_FID ON T_FCA_TRANSCHGBILL_L ( FID );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSCHGBILL_LK', 'T_FCA_TRANSCHGBILL_LK', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRANSCHGBILL_LK_FID') CREATE  CLUSTERED INDEX T_FCA_TRANSCHGBILL_LK_FID ON T_FCA_TRANSCHGBILL_LK ( FID );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSCHGBILL_TC', 'T_FCA_TRANSCHGBILL_TC', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRANSCHGBILL_TC_FID') CREATE  CLUSTERED INDEX T_FCA_TRANSCHGBILL_TC_FID ON T_FCA_TRANSCHGBILL_TC ( FTBILLID );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSCHGBILL_WB', 'T_FCA_TRANSCHGBILL_WB', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRANSCHGBILL_WB_FID') CREATE  CLUSTERED INDEX T_FCA_TRANSCHGBILL_WB_FID ON T_FCA_TRANSCHGBILL_WB ( FID );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSDOWNBILL_L', 'T_FCA_TRANSDOWNBILL_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRANSDOWNBILL_L_FID') CREATE  CLUSTERED INDEX T_FCA_TRANSDOWNBILL_L_FID ON T_FCA_TRANSDOWNBILL_L ( FID );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSDOWNBILL_LK', 'T_FCA_TRANSDOWNBILL_LK', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRDOWNBILL_LK_FID') CREATE  CLUSTERED INDEX T_FCA_TRDOWNBILL_LK_FID ON T_FCA_TRANSDOWNBILL_LK ( FID );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSDOWNBILL_TC', 'T_FCA_TRANSDOWNBILL_TC', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRDBI_TC_FTBILLID') CREATE  CLUSTERED INDEX T_FCA_TRDBI_TC_FTBILLID ON T_FCA_TRANSDOWNBILL_TC ( FTBILLID );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSDOWNBILL_WB', 'T_FCA_TRANSDOWNBILL_WB', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRDBILL_WB_FID') CREATE  CLUSTERED INDEX T_FCA_TRDBILL_WB_FID ON T_FCA_TRANSDOWNBILL_WB ( FID );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSUPBILL_ENTRY_LK', 'T_FCA_TRANSUPBILL_ENTRY_LK', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRUBI_ET_LK_FID') CREATE  CLUSTERED INDEX T_FCA_TRUBI_ET_LK_FID ON T_FCA_TRANSUPBILL_ENTRY_LK ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSUPBILL_L', 'T_FCA_TRANSUPBILL_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRANSUPBILL_L_FID') CREATE  CLUSTERED INDEX T_FCA_TRANSUPBILL_L_FID ON T_FCA_TRANSUPBILL_L ( FID );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSUPBILL_LK', 'T_FCA_TRANSUPBILL_LK', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRUPBILL_LK_FID') CREATE  CLUSTERED INDEX T_FCA_TRUPBILL_LK_FID ON T_FCA_TRANSUPBILL_LK ( FID );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSUPBILL_TC', 'T_FCA_TRANSUPBILL_TC', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRUBI_TC_FTBILLID') CREATE  CLUSTERED INDEX T_FCA_TRUBI_TC_FTBILLID ON T_FCA_TRANSUPBILL_TC ( FTBILLID );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSUPBILL_WB', 'T_FCA_TRANSUPBILL_WB', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRUBILL_WB_FID') CREATE  CLUSTERED INDEX T_FCA_TRUBILL_WB_FID ON T_FCA_TRANSUPBILL_WB ( FID );


 EXEC P_ALTERPK 'PK_FCA_APPTRANSDOWN', 'T_FCA_APPTRANSDOWN', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_APPTRANSDOWN_BILLNO') CREATE  CLUSTERED INDEX IDX_APPTRANSDOWN_BILLNO ON T_FCA_APPTRANSDOWN ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_APPTRANSDOWN_COMPANY') CREATE UNIQUE INDEX IDX_APPTRANSDOWN_COMPANY ON T_FCA_APPTRANSDOWN ( FCOMPANYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_APPTRANSDOWN_PARORG') CREATE UNIQUE INDEX IDX_APPTRANSDOWN_PARORG ON T_FCA_APPTRANSDOWN ( FPARENTORGID );


 EXEC P_ALTERPK 'PK_FCA_APPTRANSDOWN_L', 'T_FCA_APPTRANSDOWN_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PK_FCA_APPTRANSDOWN_L_FID') CREATE  CLUSTERED INDEX IDX_PK_FCA_APPTRANSDOWN_L_FID ON T_FCA_APPTRANSDOWN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_FCA_APPTRANSDOWN_LK', 'T_FCA_APPTRANSDOWN_LK', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_APPTRANSDOWN_LK_FID') CREATE  CLUSTERED INDEX IDX_FCA_APPTRANSDOWN_LK_FID ON T_FCA_APPTRANSDOWN_LK ( FID );


 EXEC P_ALTERPK 'PK_FCA_APPTRANSDOWN_TC', 'T_FCA_APPTRANSDOWN_TC', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_APPTRANSDOWN_TC_FID') CREATE  CLUSTERED INDEX IDX_FCA_APPTRANSDOWN_TC_FID ON T_FCA_APPTRANSDOWN_TC ( FTBILLID );


 EXEC P_ALTERPK 'PK_FCA_APPTRANSDOWN_WB', 'T_FCA_APPTRANSDOWN_WB', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_APPTRANSDOWN_WB_FID') CREATE  CLUSTERED INDEX IDX_FCA_APPTRANSDOWN_WB_FID ON T_FCA_APPTRANSDOWN_WB ( FID );


 EXEC P_ALTERPK 'PK_FCA_APPTRANSUP', 'T_FCA_APPTRANSUP', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_APPTRANSUP_BILLNO') CREATE  CLUSTERED INDEX IDX_FCA_APPTRANSUP_BILLNO ON T_FCA_APPTRANSUP ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_APPTRANSUP_COMPANY') CREATE UNIQUE INDEX IDX_FCA_APPTRANSUP_COMPANY ON T_FCA_APPTRANSUP ( FCOMPANYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_APPTRANSUP_PARORG') CREATE UNIQUE INDEX IDX_FCA_APPTRANSUP_PARORG ON T_FCA_APPTRANSUP ( FPARENTORGID );


 EXEC P_ALTERPK 'PK_FCA_APPTRANSUP_LK', 'T_FCA_APPTRANSUP_LK', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_APPTRANSUP_LK_FID') CREATE  CLUSTERED INDEX IDX_FCA_APPTRANSUP_LK_FID ON T_FCA_APPTRANSUP_LK ( FID );


 EXEC P_ALTERPK 'PK_FCA_APPTRANSUP_TC', 'T_FCA_APPTRANSUP_TC', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_APPTRANSUP_TC_FID') CREATE  CLUSTERED INDEX IDX_FCA_APPTRANSUP_TC_FID ON T_FCA_APPTRANSUP_TC ( FTBILLID );


 EXEC P_ALTERPK 'PK_FCA_APPTRANSUP_WB', 'T_FCA_APPTRANSUP_WB', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_APPTRANSUP_WB_FID') CREATE  CLUSTERED INDEX IDX_FCA_APPTRANSUP_WB_FID ON T_FCA_APPTRANSUP_WB ( FID );


 EXEC P_ALTERPK 'PK_FCA_APPTRANSDOWN_ENTRY_LK', 'T_FCA_APPTRANSDOWN_ENTRY_LK', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_APPTRADOW_ENTRY_LK_FID') CREATE  CLUSTERED INDEX IDX_FCA_APPTRADOW_ENTRY_LK_FID ON T_FCA_APPTRANSDOWN_ENTRY_LK ( FENTRYID ,FSEQ );


 EXEC P_ALTERPK 'PK_FCA_APPTRANSUP_L', 'T_FCA_APPTRANSUP_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_APPTRANSUP_L_FID') CREATE  CLUSTERED INDEX IDX_FCA_APPTRANSUP_L_FID ON T_FCA_APPTRANSUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_FCA_APPTRANSUP_ENTRY_LK', 'T_FCA_APPTRANSUP_ENTRY_LK', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_APPTRANSUP_ENTRY_FID') CREATE  CLUSTERED INDEX IDX_FCA_APPTRANSUP_ENTRY_FID ON T_FCA_APPTRANSUP_ENTRY_LK ( FENTRYID ,FSEQ );


 EXEC P_ALTERPK 'PK_FCA_TRANSDOWNBILL_ENTRY_LK', 'T_FCA_TRANSDOWNBILL_ENTRY_LK', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRDBI_ET_LK_FID') CREATE  CLUSTERED INDEX T_FCA_TRDBI_ET_LK_FID ON T_FCA_TRANSDOWNBILL_ENTRY_LK ( FENTRYID );


 EXEC P_ALTERPK 'PK_FCA_APPTRANSDOWN_ENTRY', 'T_FCA_APPTRANSDOWN_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FCA_TRANSDOWNDETAIL_FID') CREATE  CLUSTERED INDEX IDX_FCA_TRANSDOWNDETAIL_FID ON T_FCA_APPTRANSDOWN_ENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_FCA_APPTRANSUP_ENTRY', 'T_FCA_APPTRANSUP_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_PK_FCA_APPTRANSUP_ENTRY_FID') CREATE  CLUSTERED INDEX T_PK_FCA_APPTRANSUP_ENTRY_FID ON T_FCA_APPTRANSUP_ENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSCHGBILL', 'T_FCA_TRANSCHGBILL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRANSCHGBILL_NUM') CREATE  CLUSTERED INDEX T_FCA_TRANSCHGBILL_NUM ON T_FCA_TRANSCHGBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSDOWNBILL', 'T_FCA_TRANSDOWNBILL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRANSDOWNBILL_NUM') CREATE  CLUSTERED INDEX T_FCA_TRANSDOWNBILL_NUM ON T_FCA_TRANSDOWNBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSDOWNBILL_ENTRY', 'T_FCA_TRANSDOWNBILL_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRANSDOWNBILL_FID') CREATE  CLUSTERED INDEX T_FCA_TRANSDOWNBILL_FID ON T_FCA_TRANSDOWNBILL_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSUPBILL', 'T_FCA_TRANSUPBILL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRANSUPBILL_NUM') CREATE  CLUSTERED INDEX T_FCA_TRANSUPBILL_NUM ON T_FCA_TRANSUPBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSUPBILL_ENTRY', 'T_FCA_TRANSUPBILL_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRANSUPBILL_FID') CREATE  CLUSTERED INDEX T_FCA_TRANSUPBILL_FID ON T_FCA_TRANSUPBILL_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_FCA_TRANSCHGBILL_ENTRY', 'T_FCA_TRANSCHGBILL_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_FCA_TRANSCHGBILL_ET_FID') CREATE  CLUSTERED INDEX T_FCA_TRANSCHGBILL_ET_FID ON T_FCA_TRANSCHGBILL_ENTRY ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FCA_constraint.sql **/
