﻿/**Begin D:\PDM_UPGRADE2\PDM1\FCA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCA_AUTOTRANS_ENTRY') 
 CREATE TABLE T_FCA_AUTOTRANS_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYORGID BIGINT DEFAULT 0 NOT NULL,
FPAYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPAYERACCBANKID BIGINT DEFAULT 0 NOT NULL,
FPAYERACCBANKNO1 NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYERACCBANKNAME1 NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYEEORGID BIGINT DEFAULT 0 NOT NULL,
FPAYEEACCBANKID BIGINT DEFAULT 0 NOT NULL,
FPAYEEACCBANKNAME1 NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRETAINEDAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTRANSFERAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FUSAGE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCA_AUTOTRANSLOG_CASH') 
 CREATE TABLE T_FCA_AUTOTRANSLOG_CASH (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYORGID BIGINT DEFAULT 0 NOT NULL,
FPAYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPAYERACCBANKID BIGINT DEFAULT 0 NOT NULL,
FPAYERACCBANKNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYEEORGID BIGINT DEFAULT 0 NOT NULL,
FPAYEEACCBANKID BIGINT DEFAULT 0 NOT NULL,
FPAYEEACCBANKNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRETAINEDAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FTRANSFERAMT DECIMAL(19,4) DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL
);
/**End D:\PDM_UPGRADE2\PDM1\FCA_table.sql **/
