﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FCA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCA_AUTOTRANS') 
 CREATE TABLE T_FCA_AUTOTRANS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FTXTDESC NVARCHAR(80) DEFAULT ' ' NOT NULL,
FOPERNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FEXCEPLAN NVARCHAR(80) DEFAULT ' ' NOT NULL,
FEXECUTORID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCA_AUTOTRANSLOG_ENTRY') 
 CREATE TABLE T_FCA_AUTOTRANSLOG_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPBANKACCTID BIGINT DEFAULT 0 NOT NULL,
FSBANKACCTID BIGINT DEFAULT 0 NOT NULL,
FACCTGROUPID BIGINT DEFAULT 0 NOT NULL,
FDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINNERACCTID BIGINT DEFAULT 0 NOT NULL,
FTRANSTRATEGYID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCA_AUTOTRANSLOG') 
 CREATE TABLE T_FCA_AUTOTRANSLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FEXCETIME DATETIME,
FEXECSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FEXECDETL NVARCHAR(80) DEFAULT ' ' NOT NULL,
FTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAUTOTRANS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOPERNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FCA_AUTOTRANS_L') 
 CREATE TABLE T_FCA_AUTOTRANS_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


 EXEC p_AlterColumn 'T_FCA_TRANSTRATEGY_L', 'FCOMMENT', 'NVARCHAR(255)', 'NOT NULL', '0100', ''' ''';


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\FCA_table.sql **/
