<?xml version="1.0" encoding="UTF-8"?>

<DeployMetadata>
  <Id>691870801510626304</Id>
  <DesignMetas>
    <DesignConvertRuleMeta>
      <DevType>0</DevType>
      <ModifyDate>1624531938506</ModifyDate>
      <DataXml>
        <ConvertRuleMetadata>
          <DevType>0</DevType>
          <Isv>kingdee</Isv>
          <ParentId/>
          <MasterId/>
          <BizappId>d2bb1733000000ac</BizappId>
          <RuleElement>
            <ConvertRuleElement>
              <FieldMapPolicy>
                <FieldMapPolicy>
                  <FieldMaps>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>org</TargetFieldKey>
                      <SourceFieldKey>subacct_company</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>openorg</TargetFieldKey>
                      <SourceFieldKey>subacct.company</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>bizdate</TargetFieldKey>
                      <SourceFieldKey>paydate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>691016105090658304</Expression>
                          <Description/>
                          <ExprTran>资金下拨</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>receivingtype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>bos_org</Expression>
                          <Description/>
                          <ExprTran>公司</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>payertype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>txt_description</TargetFieldKey>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>'资金下拨业务回单（下拨单号：'+ billno +'）'</Expression>
                                  <Description/>
                                  <ExprTran>'资金下拨业务回单（下拨单号：'+ 单据编号 +'）'</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>04ZO=6KF7ENF</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payeebank</TargetFieldKey>
                      <SourceFieldKey>subacct.bank</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>actrecamt</TargetFieldKey>
                      <SourceFieldKey>transamt</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payername</TargetFieldKey>
                      <SourceFieldKey>company.name</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payeracctbanknum</TargetFieldKey>
                      <SourceFieldKey>accountbank.number</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>900004</Expression>
                          <Description/>
                          <ExprTran>电汇</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>settletype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>payer</TargetFieldKey>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>company</Expression>
                                  <Description/>
                                  <ExprTran>母账户资金组织</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>05+2C7/XBRAS</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>payeraccformid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>'bd_accountbanks'</Expression>
                          <Description/>
                          <ExprTran>'bd_accountbanks'</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>OtherRec</Expression>
                          <Description/>
                          <ExprTran>其他收款</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>biztype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payeedate</TargetFieldKey>
                      <SourceFieldKey>paydate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>accountbank</TargetFieldKey>
                      <SourceFieldKey>subacct</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payerbankname</TargetFieldKey>
                      <SourceFieldKey>bank.name</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>currency</TargetFieldKey>
                      <SourceFieldKey>currency</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>sourcebillnumber</TargetFieldKey>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>entrys.id</Expression>
                                  <Description/>
                                  <ExprTran>划拨明细.内码</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>04ZOMPEO3FQ8</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>fca_transdownbill</Expression>
                          <Description/>
                          <ExprTran>下拨单</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>sourcebilltype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_actamt</TargetFieldKey>
                      <SourceFieldKey>transamt</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>181131556251780096</Expression>
                          <Description/>
                          <ExprTran>内部单位转入的现金</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>e_fundflowitem</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>realreccompany</TargetFieldKey>
                      <SourceFieldKey>subacct_company</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_receivableamt</TargetFieldKey>
                      <SourceFieldKey>transamt</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>e_sourcebillid</TargetFieldKey>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>entrys.id id id</Expression>
                                  <Description/>
                                  <ExprTran>划拨明细.内码 id id</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>04ZOW4MS7LLS</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>e_sourcebillentryid</TargetFieldKey>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>entrys.id</Expression>
                                  <Description/>
                                  <ExprTran>划拨明细.内码</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>04ZOYCG3G3TU</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                  </FieldMaps>
                </FieldMapPolicy>
              </FieldMapPolicy>
              <PlugInPolicy>
                <PlugInPolicy>
                  <Plugins>
                    <CRPlugin>
                      <ClassName>kd.tmc.fca.formplugin.transbill.CasRecBillConvertPlugin</ClassName>
                      <Seq>1</Seq>
                    </CRPlugin>
                  </Plugins>
                </PlugInPolicy>
              </PlugInPolicy>
              <FilterPolicy>
                <FilterPolicy>
                  <Condition>
                    <CRCondition>
                      <FilterString>{"filterRow":[{"id":"06RE+B=9VVMO","leftBracket":"","compareType":"105","fieldName":"paystatus","rightBracket":"","logic":"0","value":[{"id":"06RE+B=9VUZE","value":"paysuccess"}],"baseDataIds":[]},{"id":"06RE+B=CH9U6","leftBracket":"","compareType":"67","fieldName":"iscashbill","rightBracket":"","logic":"0","value":[{"id":"06RE+B=CH94Y","value":"0"}],"baseDataIds":[]}],"forList":false}</FilterString>
                      <FilterCondition>
                        <FilterCondition>
                          <FilterRow>
                            <SimpleFilterRow>
                              <CompareType>105</CompareType>
                              <FieldName>paystatus</FieldName>
                              <RightBracket/>
                              <Id>06RE+B=9VVMO</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>06RE+B=9VUZE</Id>
                                  <Value>paysuccess</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>67</CompareType>
                              <FieldName>iscashbill</FieldName>
                              <RightBracket/>
                              <Id>06RE+B=CH9U6</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>06RE+B=CH94Y</Id>
                                  <Value>0</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                          </FilterRow>
                        </FilterCondition>
                      </FilterCondition>
                      <Description/>
                      <ExprTran/>
                    </CRCondition>
                  </Condition>
                </FilterPolicy>
              </FilterPolicy>
              <LinkEntityPolicy>
                <LinkEntityPolicy>
                  <SourceSubEntryKey/>
                  <TargetEntryKey>cas_recbill</TargetEntryKey>
                  <SourceEntryKey>entrys</SourceEntryKey>
                  <LinkType>Link</LinkType>
                </LinkEntityPolicy>
              </LinkEntityPolicy>
              <efRule>false</efRule>
              <TargetEntityNumber>cas_recbill</TargetEntityNumber>
              <GroupByPolicy>
                <GroupByPolicy>
                  <GroupByField>entrys.id</GroupByField>
                  <GroupMode3>OneToOne</GroupMode3>
                  <GroupMode2>OneToOne</GroupMode2>
                  <GroupByField2/>
                  <GroupByField3/>
                  <GroupMode>GroupByField</GroupMode>
                </GroupByPolicy>
              </GroupByPolicy>
              <Name>下拨单付款成功生成收款单</Name>
              <SourceEntityNumber>fca_transdownbill</SourceEntityNumber>
              <Id>691870801510626304</Id>
            </ConvertRuleElement>
          </RuleElement>
          <Id>691870801510626304</Id>
          <InheritPath/>
          <CreateDate>1578873657000</CreateDate>
        </ConvertRuleMetadata>
      </DataXml>
      <ModifierId>13466739</ModifierId>
      <ModelType>ConvertRuleModel</ModelType>
      <Isv>kingdee</Isv>
      <Version>1624531938599</Version>
      <ParentId></ParentId>
      <MasterId></MasterId>
      <BizappId>d2bb1733000000ac</BizappId>
      <TargetEntityNumber>cas_recbill</TargetEntityNumber>
      <SourceEntityNumber>fca_transdownbill</SourceEntityNumber>
      <Id>691870801510626304</Id>
      <InheritPath></InheritPath>
      <CreateDate>1578873657000</CreateDate>
    </DesignConvertRuleMeta>
  </DesignMetas>
  <BOSVersion>1.0</BOSVersion>
</DeployMetadata>
